Package ru.bitel.bgbilling.kernel.contract.balance.server.bean

# Class PaymentAndChargeManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<PaymentType>
ru.bitel.bgbilling.kernel.contract.balance.server.bean.PaymentAndChargeManager

@Deprecated public class PaymentAndChargeManager extends ru.bitel.bgbilling.common.dao.AbstractDao<PaymentType>
Deprecated.
Использовать PaymentTypeDao и ChargeTypeDao.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TYPE_CHARGE_TABLE`
  Deprecated.
  `static final String`
  `TYPE_PAYMENT_TABLE`
  Deprecated.

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PaymentAndChargeManager(Connection con, String tableName)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected PaymentType`
  `getFromRS(ResultSet rs)`
  Deprecated.
  `PaymentTypeItem`
  `getTree(int editable)`
  Deprecated.
  `List<PaymentType>`
  `list(int editable)`
  Deprecated.
  `protected void`
  `updateImpl(PaymentType paymentType)`
  Deprecated.

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TYPE_CHARGE_TABLE

    public static final String TYPE_CHARGE_TABLE
    Deprecated.
    See Also:
      - Constant Field Values

  - ### TYPE_PAYMENT_TABLE

    public static final String TYPE_PAYMENT_TABLE
    Deprecated.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PaymentAndChargeManager

    public PaymentAndChargeManager(Connection con, String tableName)
    Deprecated.

- ## Method Details

  - ### updateImpl

    protected void updateImpl(PaymentType paymentType) throws SQLException
    Deprecated.
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<PaymentType>`
    Throws:
      `SQLException`

  - ### getFromRS

    protected PaymentType getFromRS(ResultSet rs) throws SQLException
    Deprecated.
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<PaymentType>`
    Throws:
      `SQLException`

  - ### list

    public List<PaymentType> list(int editable) throws SQLException
    Deprecated.
    Throws:
      `SQLException`

  - ### getTree

    public PaymentTypeItem getTree(int editable) throws SQLException
    Deprecated.
    Throws:
      `SQLException`